# Get Experiment By Name

Launch stage: GA

`GET /api/2.0/mlflow/experiments/get-by-name`

Gets metadata for an experiment.

 This endpoint will return deleted experiments, but prefers the active experiment
 if an active and deleted experiment share the same name. If multiple deleted
 experiments share the same name, the API will return one of them.

 Throws `RESOURCE_DOES_NOT_EXIST` if no experiment with the specified name exists.

API scopes: mlflow

## Query parameters

- `experiment_name` (string, optional)
  Name of the associated experiment.

## Returns

- `experiment` (object, optional)
  Experiment details.
  - `experiment_id` (string, optional)
    Unique identifier for the experiment.
  - `name` (string, optional)
    Human readable name that identifies the experiment.
  - `artifact_location` (string, optional)
    Location where artifacts for the experiment are stored.
  - `lifecycle_stage` (string, optional)
    Current life cycle stage of the experiment: "active" or "deleted".
     Deleted experiments are not returned by APIs.
  - `last_update_time` (int64, optional)
    Last update time
  - `creation_time` (int64, optional)
    Creation time
  - `tags` (array of object, optional)
    Tags: Additional metadata key-value pairs.
    - `key` (string, optional)
      The tag key.
    - `value` (string, optional)
      The tag value.

## Response

```json
{
  "experiment": {
    "experiment_id": "string",
    "name": "string",
    "artifact_location": "string",
    "lifecycle_stage": "string",
    "last_update_time": 0,
    "creation_time": 0,
    "tags": [
      {}
    ]
  }
}
```

